Docs
BasicsAPI Reference
BasicsAPI Reference
  1. Charges
  • Integration Guide
    • Payment Links
    • Charges
    • Webhooks
  • PaymentLinks
    • Create payment link
      POST
    • List payment links
      GET
    • Get payment link
      GET
    • Cancel payment link
      POST
  • Charges
    • List charges
      GET
    • Get charge
      GET
  • Webhooks
    • Payment Link
    • Charge
  1. Charges

List charges

GET
/charges
Charges are created and updated exclusively by Woldy's payment
processing engine — this endpoint is read-only. Returns charges
belonging to the token's branch only.

Request

Authorization
Bearer Token
Provide your bearer token in the
Authorization
header when making requests to protected resources.
Example:
Authorization: Bearer ********************
or
Query Params

Responses

🟢200
application/json
List of charges
Bodyapplication/json

🟠401Unauthorized
🟠429TooManyRequests
Request Request Example
Shell
JavaScript
Java
Swift
curl --location 'https://public-api.woldy.xyz/v1/charges?statuses=&reference_types=&reference_id=&ids=&created_at_from=&created_at_to=&limit=&offset=' \
--header 'Authorization: Bearer <token>'
Response Response Example
200 - Example 1
{
    "items": [
        {
            "id": "ch_AAAA...",
            "reference": {
                "type": "PAYMENT_LINK",
                "id": "pl_AAAA..."
            },
            "status": "PENDING",
            "chain_id": "eip155:84532",
            "unexpected": false,
            "currency": "USDC",
            "amount": "10.00",
            "completed_at": "2019-08-24T14:15:22.123Z",
            "failed_at": "2019-08-24T14:15:22.123Z",
            "cancelled_at": "2019-08-24T14:15:22.123Z",
            "created_at": "2019-08-24T14:15:22.123Z",
            "updated_at": "2019-08-24T14:15:22.123Z"
        }
    ],
    "meta": {
        "total": 1,
        "limit": 50,
        "offset": 0,
        "next": "/v1/payment-links?limit=50&offset=50"
    }
}
Modified at 2026-08-19 07:14:05
Previous
Cancel payment link
Next
Get charge
Built with